import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
/**
 * @author: Benjamin Sauerstein
 * Date:    13.09.2024
 * Fuer die 4. Aufgabe des 43. Bundeswettbewerbs Informatik
 * in [0] sind alle x-Koordinaten des ersten Tores gespeichert, (andere Dimension = Anzahl der Tore)
 * in [1] sind alle y-Koordinaten des ersten Tores gespeichert,
 * in [2] sind alle x-Koordinaten des zweiten Tores gespeichert,
 * in [3] sind alle y-Koordinaten des zweiten Tores gespeichert,
 */

public class A4_OOP{    
    int tore;
    int radius;
    int koordinaten[][];
    public A4_OOP(){
        // Die beiden untere Zeile verwenden, um einen Pfad zur Datei anzugeben.
        // SimpleInput input = new SimpleInput();
        // String datei = input.getString("Bitte Dateipfad für Loesung eingeben!");
        // oder die Datei im Projektordner speichern, dann reicht die Angabe des Dateinamens:
        String datei = "krocket1.txt";
        File file = new File(datei);
        if (!file.canRead() || !file.isFile()){
            System.exit(0);
        }
        BufferedReader in = null;
        try {
            in = new BufferedReader(new FileReader(datei));
            String zeile = in.readLine();
            String s[] = zeile.split(" ");
            tore = Integer.parseInt(s[0]);
            radius = Integer.parseInt(s[1]);
            koordinaten = new int[4][tore];
            for (int i=0; i<tore; i++){  
                zeile = in.readLine();
                String l[] = zeile.split(" ");
                koordinaten[0][i] = Integer.parseInt(l[0]);
                koordinaten[1][i] = Integer.parseInt(l[1]);
                koordinaten[2][i] = Integer.parseInt(l[2]);
                koordinaten[3][i] = Integer.parseInt(l[3]);
            }
            aufgabeLoesen();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (in != null)
                try {
                    in.close();
                } catch (IOException e) {}
        } 
    }

    //ab hier kann die Aufgabe inhaltlich bearbeitet werden 
    public void aufgabeLoesen(){
        System.out.println("Es gibt " + tore + " Tore und der Ball hat den Radius " + radius);
    }
}